Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QLCDNumber.Mode

    java.lang.Object
      java.lang.Enum<QLCDNumber.Mode>
          com.trolltech.qt.gui.QLCDNumber.Mode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QLCDNumber.Mode>

Enclosing class:
  QLCDNumber

    public static enum QLCDNumber.Mode

extends java.lang.Enum<QLCDNumber.Mode>
implements QtEnumerator

This type determines how numbers are shown.

If the display is set to hexadecimal, octal or binary, the integer equivalent of the value is displayed.

Enum Constant Summary
`Bin` Binary
`Dec` Decimal
`Hex` Hexadecimal
`Oct` Octal

Method Summary
`static QLCDNumber.Mode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLCDNumber.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QLCDNumber.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Hex

    public static final QLCDNumber.Mode Hex

  Hexadecimal

### Dec

    public static final QLCDNumber.Mode Dec

  Decimal

### Oct

    public static final QLCDNumber.Mode Oct

  Octal

### Bin

    public static final QLCDNumber.Mode Bin

  Binary

Method Detail

### values

    public static final QLCDNumber.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QLCDNumber.Mode c : QLCDNumber.Mode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QLCDNumber.Mode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QLCDNumber.Mode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD